<script>
export default {
    props: {
        environment: String,
    },
    mounted() {
        setInterval(this.fetchData, 1000)        
    },
    data() {
        return {
            status: "Provisioning",
            subStatus: "Starting...",
            errorMessage: "",
        }
    },
    methods: {
        async fetchData() {

            const response = await fetch(
                `/api/v1/environments/${this.environment}`,
                {
                    credentials: "include"
                }
            );
            
            const env = await response.json();

            this.status = env.status
            this.subStatus = env.subStatus
            this.errorMessage = env.errorMessage

            if (env.status === 'Success' && env.url) {
                location.href = env.url
            }
        }
    }
}
</script>

<template>
  <div>
    <h2>{{ status }}</h2>
    <p>{{ subStatus }}</p>
    <p>{{ errorMessage }}</p>
  </div>
</template>

<style scoped>
</style>
